Subject: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Dmitry Alexandrov <[email-masked]>
Date: Sat, 06 Jun 2020 15:36:06 +0300

Vladimir Lomov <[email-masked]> wrote:
> I tried to use '-F' option of 'emacsclient' but I didn't get desire result, WM_CLASS isn't changed, only WM_ICON_NAME.

Works for me (Emacs 28, no toolkit).

> It is possible that I do things wrong,
>
>   $ emacsclient -s /run/user/1000/emacs-default -F '((name . "default") (title . "USER@HOST"))'

FWIW, this command does not necessary create a _new_ frame.  Use ‘-c’, ‘--create-frame’ to force it.

> Even if it is possible to change the 'instance' of Emacs window created by 'emacsclient' using the '-F' option it would be nice to have more simple way to achieve this.

It would be nice to give some examples, how it can be useful.